%global commit 4baf608fd636624504c6a9c9389294023073ba9f
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:		fzy
Summary:	Fast, simple fuzzy text selector for the terminal
Version:	1.0
Release:        2%{?commit:.git%{shortcommit}}%{?dist}
License:	MIT
URL:		https://github.com/jhawthorn/fzy

%if %{defined commit}
Source0:	%{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildRequires:  gcc

%description
fzy is a fast, simple fuzzy text selector for the terminal with an advanced
scoring algorithm.

fzy is faster and shows better results than other fuzzy finders.

Most other fuzzy matchers sort based on the length of a match. fzy tries to
find the result the user intended. It does this by favouring matches on
consecutive letters and starts of words. This allows matching using acronyms or
different parts of the path.

fzy is designed to be used both as an editor plugin and on the command line.
Rather than clearing the screen, fzy displays its interface directly below the
current cursor position, scrolling the screen if necessary.

%prep
%autosetup -n %{?commit:%{name}-%{commit}}%{!?commit:%{name}-%{version}}

%build
%make_build

%check
make check

%install
%make_install PREFIX=%{_prefix} BINDIR=%{_bindir} MANDIR=%{_mandir}

%files
%license LICENSE
%doc README.md ALGORITHM.md CHANGELOG.md
%{_bindir}/fzy
%{_mandir}/man1/fzy.*

%changelog
* Thu Sep  3 2020 Filipe Brandenburger <filbranden@gmail.com> - 1.0-2.git4baf608
- Initial packaging
- Add explicit requirement for gcc
